Skip to content
You are reading Consensys Quorum Plugins development version documentation and some displayed features may not be available in the stable release. You can switch to stable version using the version box at screen bottom.

Install Quorum plugins for Hyperledger Besu

Quorum plugins for Hyperledger Besu are either open-source or provided with a ConsenSys Quorum Support subscription.

Quorum plugin for Besu Obtain from
Event streams Download
Encrypted storage Supplied with ConsenSys Quorum Support
Validator monitoring Supplied with ConsenSys Quorum Support
HSM (Hardware security module) Additional option for ConsenSys Quorum Support

Prerequisites

Attention

Hyperledger Besu requires Java 11+ to compile; earlier versions are not supported. Besu is currently supported only on 64-bit versions of Windows, and requires a 64-bit version of JDK/JRE. We recommend that you also remove any 32-bit JDK/JRE installations.

Linux Open File Limit

If synchronizing to MainNet on Linux or other chains with large data requirements, increase the maximum number of open files allowed using ulimit. If the open files limit is not high enough, a Too many open files RocksDB exception occurs.

Install plugins

Plugins are provided with a Besu distribution. Download the packaged binaries provided with your ConsenSys Quorum Support subscription, or download the event streams plugin.

Unpack the downloaded files and change into the besu-plugins-<release> directory.

Note

Plugins are located in the plugins directory of the Besu installation.

Display the command line help to confirm installation:

bin/besu --help
bin\besu --help

Tip

The besu-plugins repository README.md describes how to build the plugin from source.

ConsenSys has acquired Quorum from J.P. Morgan. Please read the FAQ.
Questions or feedback? You can obtain paid professional support by ConsenSys at [email protected]